# EFXUtil (LWJGL API)
Date: 2015-07-28

## org.lwjgl.openal
Class EFXUtil

    java.lang.Object
      org.lwjgl.openal.EFXUtil

    public final class EFXUtil

extends java.lang.Object

Utility class for the OpenAL extension ALC_EXT_EFX. Provides functions to check for the extension and support of various effects and filters.

Currently supports ALC_EXT_EFX version 1.0 effects and filters.

Version:
  $Revision$ $Id$
Author:
  Ciardhubh <ciardhubh[at]ciardhubh.de>

Method Summary
`static boolean` `isEffectSupported(int effectType)` Tests OpenAL to see whether the given effect type is supported.
`static boolean` `isEfxSupported()` Checks if OpenAL implementation is loaded and supports ALC_EXT_EFX.
`static boolean` `isFilterSupported(int filterType)` Tests OpenAL to see whether the given filter type is supported.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isEfxSupported

    public static boolean isEfxSupported()

  Checks if OpenAL implementation is loaded and supports ALC_EXT_EFX.

  Returns:
    True if ALC_EXT_EFX is supported, false if not.
  Throws:
    `OpenALException` - If OpenAL has not been created yet.

### isEffectSupported

    public static boolean isEffectSupported(int effectType)

  Tests OpenAL to see whether the given effect type is supported. This is done by creating an effect of the given type. If creation succeeds the effect is supported.

  Parameters:
    `effectType` - Type of effect whose support is to be tested, e.g. AL_EFFECT_REVERB.
  Returns:
    True if it is supported, false if not.
  Throws:
    `OpenALException` - If the request fails due to an AL_OUT_OF_MEMORY error or OpenAL has not been created yet.
    `java.lang.IllegalArgumentException` - effectType is not a valid effect type.

### isFilterSupported

    public static boolean isFilterSupported(int filterType)

  Tests OpenAL to see whether the given filter type is supported. This is done by creating a filter of the given type. If creation succeeds the filter is supported.

  Parameters:
    `filterType` - Type of filter whose support is to be tested, e.g. AL_FILTER_LOWPASS.
  Returns:
    True if it is supported, false if not.
  Throws:
    `OpenALException` - If the request fails due to an AL_OUT_OF_MEMORY error or OpenAL has not been created yet.
    `java.lang.IllegalArgumentException` - filterType is not a valid filter type.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.